function ihb_TalSpaceVoxSizeMenuCB(n)
%==================================================================================
% Callback function for Voxel size Item (it is assumed that voxel is cubic)
%==================================================================================
%----------------------------------------------------------------------------------
%   24.04.01    Sergey Pakhomov
%----------------------------------------------------------------------------------
dflFileName = ihb_FileFolderName('dfl');
load(dflFileName, 'ihbdfl_tal_x_vox', 'ihbdfl_tal_y_vox', 'ihbdfl_tal_z_vox');
if ihbdfl_tal_x_vox == n
    return;
else
    ihbdfl_tal_x_vox = n;    
    ihbdfl_tal_y_vox = n;    
    ihbdfl_tal_z_vox = n;    
end;
save(dflFileName, 'ihbdfl_tal_x_vox', '-append');
save(dflFileName, 'ihbdfl_tal_y_vox', '-append');
save(dflFileName, 'ihbdfl_tal_z_vox', '-append');
%----------------------------------------------------------------------------------
% Set check on/off
%----------------------------------------------------------------------------------
ihb_TalSpaceSetMenuCheck;
%----------------------------------------------------------------------------------
% Redraw with new voxel size
%----------------------------------------------------------------------------------
ihb_UpdateAllClusters;
ihb_RedrawAllSlices;
%----------------------------------------------------------------------------------
% Redraw 3D view
%----------------------------------------------------------------------------------
ihb_TalSpaceView3D('newCluster');
%----------------------------------------------------------------------------------
