function ihb_View3DButtonUpFcn
%----------------------------------------------------------------------------------
% FORMAT ihb_View3DButtonUpFcn
%----------------------------------------------------------------------------------
% Callback function for buuton up (positioning light at camera position)
%----------------------------------------------------------------------------------
%----------------------------------------------------------------------------------
%   12.04.01    Sergey Pakhomov
%----------------------------------------------------------------------------------
rotate3d('up'); % call default processing (3D rotation enabled)
%----------------------------------------------------------------------------------
% Set light position into current camera position
%----------------------------------------------------------------------------------
hFig3D = findobj('Type', 'figure', 'Tag', 'ihb_TalSpace3D_fig');
hAxis3D = findobj('Type', 'axes', 'Tag', 'ihb_axesTalSpace3D');
set(0,'CurrentFigure', hFig3D)
set(hFig3D, 'CurrentAxes', hAxis3D);
hLight = findobj('Type', 'light', 'Tag', 'ihb_lightTalSpace3D');
set(hLight, 'Position', get(hAxis3D, 'CameraPosition'));
