function  ihb_HideShowFigure(strFigTag, OnOff)
%----------------------------------------------------------------------------------
% FORMAT ihb_HideShowFigure(strFigTag, OnOff)
%----------------------------------------------------------------------------------
% Hide (off) or Show (on) figure with Tag strFigTag 
% Do nothing if figure does not exist
%----------------------------------------------------------------------------------
%----------------------------------------------------------------------------------
%   10.04.01    Sergey Pakhomov
%----------------------------------------------------------------------------------
hFig = findobj('Type', 'figure', 'Tag', strFigTag);
if ~isempty(hFig)
    set(hFig, 'Visible', OnOff);
end
