function ihb_TalSpaceRendererMenuCB(n)
%==================================================================================
% Callback function for Reset Menu Item
% n == 1    - zbuffer
% n == 2    - OpenGL
%==================================================================================
%----------------------------------------------------------------------------------
%   23.04.01    Sergey Pakhomov
%----------------------------------------------------------------------------------
dflFileName = ihb_FileFolderName('dfl');
load(dflFileName, 'ihbdfl_renderer');
switch n
case 1
    if strcmp(ihbdfl_renderer, 'zbuffer')
        return
    else
        ihbdfl_renderer = 'zbuffer';  
    end
case 2
	if strcmp(ihbdfl_renderer, 'OpenGL')
        return;
	else
        ihbdfl_renderer = 'OpenGL';    
	end;
end
save(dflFileName, 'ihbdfl_renderer', '-append');
%----------------------------------------------------------------------------------
% Set check on/off
%----------------------------------------------------------------------------------
ihb_TalSpaceSetMenuCheck;
%----------------------------------------------------------------------------------
hFig3D = findobj('Type', 'figure', 'Tag', 'ihb_TalSpace3D_fig');
if ~isempty(hFig3D)
    set(hFig3D, 'Renderer', ihbdfl_renderer);
end

