function ihb_TalSpaceResetMenuCB
%==================================================================================
% Callback function for Reset Menu Item
%==================================================================================
%----------------------------------------------------------------------------------
%   23.04.01    Sergey Pakhomov
%----------------------------------------------------------------------------------
ihb_ResetDefaults;
%----------------------------------------------------------------------------------
% Set check on/off
%----------------------------------------------------------------------------------
ihb_TalSpaceSetMenuCheck;
%----------------------------------------------------------------------------------
% Redraw with new defaults
%----------------------------------------------------------------------------------
ihb_UpdateAllClusters;
ihb_RedrawAllSlices;
%----------------------------------------------------------------------------------
% Redraw 3D view
%----------------------------------------------------------------------------------
ihb_TalSpaceView3D('newCluster');
%----------------------------------------------------------------------------------
% Rebuild colors window
%----------------------------------------------------------------------------------
hLegend = findobj('Type', 'figure', 'Tag', 'ihb_TalSpaceLeg_fig');
if ~isempty(hLegend)
    ihb_ColorsTalSpace;
end
%----------------------------------------------------------------------------------
